LDFHREAD(3X)

NAME
ldfhread - read the file header of a COFF file

SYNOPSIS
#include <stdio.h>
#include <filehdr.h>
#include <ldfcn.h>

int ldfhread (ldptr, filehead)
LDFILE *ldptr;
FILHDR *filehead;

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

ldfhread() reads the file header of the COFF file currently associated with ldptr into the area of memory beginning at filehead.

ldfhread() returns SUCCESS or FAILURE. ldfhread() will fail if it cannot read the file header.

In most cases the use of ldfhread() can be avoided by using the macro HEADER(ldptr) defined in ldfcn.h (see ldfcn(3)). The information in any field, fieldname, of the file header may be accessed using HEADER(ldptr).fieldname .

The program must be loaded with the object file access routine library libld.a.

SEE ALSO
ldclose(3X), ldfcn(3), ldopen(3X)